function drawRect(x, y, colour, alpha)

	local shape = Shape.new()
	
	shape:setFillStyle(Shape.SOLID, colour, alpha / 255)

	-- simple rectangle
	shape:beginPath(Shape.NON_ZERO)
	shape:moveTo(0, 0)
	shape:lineTo(0, 50)
	shape:lineTo(50, 50)
	shape:lineTo(50, 0)
	shape:lineTo(0, 0)
	shape:closePath()
	shape:endPath()
	shape:setPosition(x, y)
	stage:addChild(shape)
	
end

tf = TextField.new(nil, "Alpha")
tf:setPosition(20, 30)
stage:addChild(tf)

d = Dib.new("test.png")

print("\nGet Pixel")

for y = 0, 5 do -- loop rows

	print()
	
	for x = 0, 5 do -- loop columns
		
		local pixelValue = d:getPixel(x, y) -- get the pixel
		
		local a = bit.band(pixelValue, 4278190080) / 16777216 -- alpha (top 8 bits 24 - 31) - and pixelValue with 0xff000000 divide by 0x01000000
		
		local r = bit.band(pixelValue, 16711680) / 65536 -- red (next 8 bits 16 - 23) - and pixelValue with 0xff0000 divide by 0x010000
		
		local g = bit.band(pixelValue, 65280) / 256 -- green (next 8 bits 8 - 15) - and pixelValue with 0x00ff00 divide by 0x0100
		
		local b =  bit.band(pixelValue, 255) -- blue (bottom 8 bits 0 - 7) - and pixelValue with 0xff
		
		local rh, gh, bh, ah = hex.to_hex(r), hex.to_hex(g), hex.to_hex(b), hex.to_hex(a) -- convert values to hex
		
		drawRect(x * 50 + 10, y * 50 + 10, bit.band(pixelValue, 16777215), a) -- draw each pixel as a rectangle - and pixelValue with 0xffffff to mask off alpha
		
		print("Pixel at X:", x, "Y:", y, "Red:" .. r .. " (" .. rh .. ") Green:" .. g .. " (" .. gh .. ") Blue:" .. b .. " (" .. bh .. ") Alpha:" .. a .. " (" .. ah .. ")")
		
	end

end